Community
Fusion API and Scripts
Got a new add-in to share? Need something specialized to be scripted? Ask questions or share what you’ve discovered with the community.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to create a mirror feature with a Join Operation?

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
tiktuk
289 Views, 3 Replies

How to create a mirror feature with a Join Operation?

I would like to mirror a body, it works fine except that the operation by default is set to New Feature and I want it to be a Join Feature (adsk.fusion.FeatureOperations.JoinFeatureOperation). I checked and it does not have an operations attribute to set this, like for example the Extrude Feature does.

 

So how to set this?

 

# This works
mirror_feature_input = features.mirrorFeatures.createInput(
    adsk.core.ObjectCollection.createWithArray([quarter_body]),
    length_midplane
)
mirror_feature = features.mirrorFeatures.add(mirror_feature_input)

# Would like to be able to do this
mirror_feature_input.operations = adsk.fusion.FeatureOperations.JoinFeatureOperation

 

3 REPLIES 3
Message 2 of 4
tiktuk
in reply to: tiktuk

Without being able to set up the mirror feature with the join operation I end up with two bodies instead of one, as shown in the following screen shots:

 

Screenshot 2024-04-25 at 16.10.09.pngScreenshot 2024-04-25 at 16.10.25.png

Message 3 of 4
CADacombs
in reply to: tiktuk

You may just need to include

mirror_feature_input.isCombine = True

because that property is False by default.

Message 4 of 4
tiktuk
in reply to: CADacombs

Thank you so much, I must have been so focused looking for something with 'join' that I skimmed right over this..

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report